Subject: bug#75237: Packaging ghostty terminal

From: "Murilo" <[email-masked]>
Date: Wed, 01 Jan 2025 10:44:24 -0300

Hi, sadly its not an easy task as you might be expecting it to be.

It vendors a lot of dependencies in the repository and recursive dependency
replacing with zig fetch isn't quite there yet so we have to do some more work,
create a cache and vendor it with --system. I don't know if this is the best
approach since I never touched anything zig, but it seems to be the easiest from
my research.

Fortunately I've already went through the trouble and packaged it on my channel
a couple days ago so you can use it right away :)

Feel free to take a look at my package definition [0] or use my channel [1]. I
plan to upstream it here once holidays are over and I have some free time, whats
left to do is looking at the vendored sources one by one to ensure everything is
free and there are no nasty pre-built stuff inside the sources, and see if any
of it can be made into a proper guix package so we can use it as normal inputs.
Feel free to help with those too if you want to, the more help the merrier :)

[0] https://codeberg.org/look/saayix/src/branch/entropy/saayix/packages/terminals.scm
[1] https://codeberg.org/look/saayix